<?php
require_once("BaseDao.php");
require_once("Order_item.php");
require_once("Order_main.php");
require_once("Order_mainDao.php");
require_once("Item.php");
require_once("ItemDao.php");

session_start();
//注文番号の確認
isset($_SESSION["order_no"]) or die("不正な呼び出しです");
//注文情報の確認
isset($_SESSION["order_item_array"]) or die("不正な呼び出しです");

$order_main = new Order_main();
$order_main_dao = new Order_mainDao();

//フォーム値，セッション値の変数展開
$order_no = $_SESSION["order_no"];
$now = date("Y/m/d H:i:s", time());
$name = $_POST["name"];
$zip_code = $_POST["zip_code"];
$address = $_POST["address"];

$order_main->setOrder_no($order_no);
$order_main->setOrder_date($now);
$order_main->setName($name);
$order_main->setZip_code($zip_code);
$order_main->setAddress($address);

//注文の重複確認
if(!is_null($order_main_dao->getOrder_mainByOrder_no($order_no))){
  die("既に注文済みです");
}

//セッション変数から配列$order_item_arrayを取り出し$order_itemへ展開．
//order_noとorder_dateを設定する
$order_item_array = $_SESSION["order_item_array"];
foreach($order_item_array as $order_item){
  $order_item->setOrder_no($order_no);
  $order_item->setOrder_date($now);
}

//注文情報をDBに格納
if(!$order_main_dao->insertOrder_main_item($order_main,$order_item_array)){
  die("登録に失敗しました");
}

//セッション変数の無効化
$_SESSION = array();
session_destroy();
?>

<HTML lang="ja">
<HEAD>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>オンラインストア：完了</title>
</HEAD>

<BODY TEXT="black" BGCOLOR="white">

<!-- タイトル -->
<div align="center"><font size="5"><b>ご注文ありがとうございました　</b></font><font size="3">注文番号をご確認下さい</b><br></font>
</div>
<hr width="600" align="center">
<div align=center><font size=+2 color="blue"><center>注文番号：<?php print htmlspecialchars($order_no,ENT_QUOTES); ?></font><br>
次のお届け先に配達いたします
</div>

<p>
<table align="center" width="390">
<tr><th width=90>お名前：</th>
<td width=300><?php print htmlspecialchars($name,ENT_QUOTES); ?></td>
</tr>
<tr><th valign="top">〒番号：</th>
<td><?php print htmlspecialchars($zip_code,ENT_QUOTES); ?></td>
</tr>
<tr><th valign="top">住所　：</th>
<td><?php print htmlspecialchars($address,ENT_QUOTES); ?></td>
</tr>
</table>
<p>

<font size=+2 ><center>次回のご利用をお待ちしております</center></font>

<p>

<!-- フッター -->
<hr width="600" align="center">
<table width="600" border="0" align="center">
<tr>
<td align="right"><font size="2">＠ＩＴ LinuxSquare「今から始める MySQL入門」<br>
2007/06/25作成</font></td>
</tr>
</table>

</BODY>
</HTML>
